com.streambase.liveview.client.serverdatautility

## Interface ServerUtilityDataProvider

-     public interface ServerUtilityDataProvider

  The Interface provides methods to fetch server utility data
  Since:
    2.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ServerUtilityDataProvider.DATA_POLICY` Enum for specifying the policy that should be used during importing of LiveView metadata

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportMetadata(File file, String... resources)` utility to export LiveView metadata.
    `void` | `exportMetadata(OutputStream outputStream, String... resources)` Utility to export LiveView metadata.
    `StreambaseStreams` | `getStreambaseStreams(String sbUri)` Utility to get all the input streams and output streams for a given Streambase URI.
    `Map<String,DataStatus>` | `importMetadata(File file, ServerUtilityDataProvider.DATA_POLICY dataPolicy, String... resources)` Utility to import LiveView metadata
    `Map<String,DataStatus>` | `importMetadata(InputStream inputstream, ServerUtilityDataProvider.DATA_POLICY dataPolicy, String... resources)` Utility to import LiveView metadata.

- - ### Method Detail

    - #### importMetadata

          Map<String,DataStatus> importMetadata(File file,
                                                ServerUtilityDataProvider.DATA_POLICY dataPolicy,
                                                String... resources)
                                         throws LiveViewException

      Utility to import LiveView metadata
      Parameters:
        `file` - : File that has the Json formatted data to be imported into LiveView.
        `dataPolicy` - : The data policy to use during the import process.
        `resources` - : The LiveView resources to import. If you do not provide any LiveView resources, the method helps you import all the data from the input file.
      Returns:
        the Map where the key identifies the resource and `DataStatus` gives the details of import process for the corresponding resource.
      Throws:
        `LiveViewException` - : Throws LiveView exception in case of error while importing
      Since:
        10.3

    - #### importMetadata

          Map<String,DataStatus> importMetadata(InputStream inputstream,
                                                ServerUtilityDataProvider.DATA_POLICY dataPolicy,
                                                String... resources)
                                         throws LiveViewException

      Utility to import LiveView metadata.
      Parameters:
        `inputStream` - : Input Stream to import the LiveView metadata from.
        `dataPolicy` - : The data policy to use during the import process.
        `resources` - : The LiveView resources to import. If you do not provide any LiveView resources, the method helps you import all the data from the input file.
      Returns:
        the Map where the key identifies the resource and `DataStatus` gives the details of import process for the corresponding resource.
      Throws:
        `LiveViewException` - : Throws LiveView exception in case of error while importing
      Since:
        10.3

    - #### exportMetadata

          void exportMetadata(File file,
                              String... resources)
                       throws LiveViewException

      utility to export LiveView metadata.
      Parameters:
        `file` - : File to which the exported data is to be written.
        `resources` - : The LiveView resources to export. If you do not provide any LiveView resources, the method helps you export all the LiveView metadata from the server.
      Throws:
        `LiveViewException` - : Throws LiveView exception in case of error while the exporting the data.
      Since:
        10.3

    - #### exportMetadata

          void exportMetadata(OutputStream outputStream,
                              String... resources)
                       throws LiveViewException

      Utility to export LiveView metadata.
      Parameters:
        `outputStream` - : OutputStream to which the exported data is to be written.
        `resources` - : The LiveView resources to export. If you do not provide any LiveView resources, the method helps you export all the LiveView metadata from the server.
      Throws:
        `LiveViewException` - : Throws LiveView exception in case of error while the export process.
      Since:
        10.3

    - #### getStreambaseStreams

          StreambaseStreams getStreambaseStreams(String sbUri)
                                          throws LiveViewException

      Utility to get all the input streams and output streams for a given Streambase URI. Returns `StreambaseStreams` all the input and output streams for a given Streambase URI
      Throws:
        `LiveViewException`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.